Page MenuHomePhabricator

Efl.Text.Font interface
Closed, ResolvedPublic

Description

This interface will cover the functionality regarding font manipulation.
Efl.Canvas.Text will implement it.

// src/lib/efl/interfaces/efl_text_font.eo

enum Efl.Text.Font.Weight {
   normal,
   thin,
   ultralight,
   extralight,
   light,
   book,
   medium,
   semibold,
   bold,
   ultrabold,
   extrabold,
   black,
   extrablack,
}

enum Efl.Text.Font.Width_Type {
   normal,
   ultracondensed,
   extracondensed,
   condensed,
   semicondensed,
   semiexpanded,
   expanded,
   extraexpanded,
   ultraexpanded,
}

@property font {
   values {
      font: string;
      size: Efl_Font_Size;
   }
}

@property source {
   values {
      font_source: string;
   }
}

@property fallbacks {
   values {
      fallbacks: string;
   }
}

enum Efl.Text.Font.Style {
   normal,
   oblique,
   italic,
}

@property weight {
   values {
      weight: Efl.Text.Font.Weight;
   }
}

@property style {
   values {
      style: Efl.Text.Font.Style;
   }
}

@property width {
   values {
      width: Efl.Text.Font.Width;
   }
}

@property lang {
   values {
      lang: string;
   }
}
cedric triaged this task as High priority.Jul 10 2017, 2:20 PM
zmike added a project: efl.Aug 22 2017, 3:37 PM
jpeg assigned this task to herdsman.Oct 10 2017, 2:42 AM
bu5hm4n added a project: Restricted Project.Jun 11 2018, 2:50 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
bu5hm4n edited projects, added efl: layout engine; removed Restricted Project, Restricted Project.Jun 11 2018, 9:26 AM
herdsman closed this task as Resolved.Dec 24 2018, 10:34 PM

Not a lot of discussion here. Anyway, this was implemented.